// const webpack = require('webpack')
const path = require('path')
function resolve(dir) {
  return path.join(__dirname, dir)
}

module.exports = {
  chainWebpack: config => {
    // 路径配置
    config.resolve.alias
      .set('assets', resolve('src/assets'));
    config.module
      .rule('js')
      .include.add(path.resolve(__dirname, 'packages')).end()
      .use('babel')
      .loader('babel-loader')
      .tap(option => {
        return option
      })
  },
  lintOnSave: false,
  // 其他配置
  configureWebpack: {

  }
}
